Bug 1690204 - [RFE] merge the upstream Foreman Userdata plug-in into Satellite
Summary: [RFE] merge the upstream Foreman Userdata plug-in into Satellite
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - VMWare
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: 6.6.0
Assignee: Chris Roberts
QA Contact: Sanket Jagtap
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-19 01:49 UTC by matt jia
Modified: 2020-06-22 18:24 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 12:47:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 24881 Normal Closed serve templates for cloud-init nocloud provider 2020-03-09 08:00:59 UTC
Foreman Issue Tracker 24885 Normal Closed templates proxy should proxy cloud-init nocloud templates 2020-03-09 08:01:03 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:47:28 UTC

Description matt jia 2019-03-19 01:49:21 UTC
Description of problem:

In this post, it describes how to use provision VMWare using userdata via Satellite 6.3. However, the upstream Foreman Userdata plug-in is not merged into Satellite and cause this solution is not fully supported by us.

Version-Release number of selected component (if applicable):

6.4

How reproducible:

Easy

Steps to Reproduce:

the upstream Foreman Userdata plug-in is not in any Red Hat repo.

Actual results:

the upstream Foreman Userdata plug-in is not shipped by Red Hat.

Expected results:

the upstream Foreman Userdata plug-in should be shipped by Red Hat.

Additional info:

Comment 4 matt jia 2019-03-19 01:56:57 UTC
The post is here:

https://access.redhat.com/blogs/1169563/posts/3640721

Comment 6 Bryan Kearney 2019-04-29 16:07:19 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24881 has been resolved.

Comment 7 Marek Hulan 2019-04-30 10:35:04 UTC
There's in fact also part on smart proxy which is not merged yet.

Comment 8 Bryan Kearney 2019-06-18 14:08:07 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24881 has been resolved.

Comment 16 Sanket Jagtap 2019-07-18 13:02:07 UTC
Build : Satellite 6.6 snap 11


I was able to provision and install the Vm on VMware with cloud init successfully following the above blogpost

2019-07-17 08:40:00,099 - url_helper.py[DEBUG]: [0/11] open 'http://sat-host/unattended/built?token=5398f5ce-95ab-4ee9-ac04-881dc4d3e24d' with {'url': 'http://sat-host/unattended/built?token=5398f5ce-95ab-4ee9-ac04-881dc4d3e24d', 'headers': {'User-Agent': 'Cloud-Init/18.2'}, 'allow_redirects': True, 'method': 'GET', 'timeout': 5.0} configuration
2019-07-17 08:40:01,201 - url_helper.py[DEBUG]: Read from http://sat-host/unattended/built?token=5398f5ce-95ab-4ee9-ac04-881dc4d3e24d (201, 0b) after 1 attempts
2019-07-17 08:40:01,202 - handlers.py[DEBUG]: finish: modules-final/config-phone-home: SUCCESS: config-phone-home ran successfully
2019-07-17 08:40:01,202 - main.py[DEBUG]: Ran 5 modules with 0 failures

Comment 17 Sanket Jagtap 2019-07-18 13:15:46 UTC
See Also: https://bugzilla.redhat.com/show_bug.cgi?id=1731155

Comment 20 errata-xmlrpc 2019-10-22 12:47:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.